<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="OneReaderDoor" description="Дверь с одним считывателем"
	fileName="OneReaderDoor.jar" className="org.mati.npc.components.ass.onereaderdoor.OneReaderDoor"
	version="8876" time="17.02.2009 01:04:42">

	<Group>СКУД</Group>

	<INLink name="InNoContourAccessPointHandler"
		description="Входящая связь с компонента-представления двери для управления поведением двери пользователем"
		interfaceName="org.mati.npc.interfaces.ass.NoContourAccessPointHandler"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="DoorSensor" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="ReaderListenerLink" description=""
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="OpenDoorButton"
		description="Входящая связь с сенсора определяющего открытие"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutReader" description=""
		interfaceName="org.mati.npc.components.interfaces.Reader"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutFacesViewDataHandler"
		description="Связь с компонентом-представлением двери для оповещения его о изменении статуса и проходе"
		interfaceName="org.mati.npc.components.interfaces.NPCFacesViewDataHandler"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutAccessPoint" description="Возможность доступа"
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutEffector" description="Связь с эффектором"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutSensor" description="Связь с сенсором"
		interfaceName="org.mati.npc.components.interfaces.Sensor"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutLoggerHandler"
		description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true">
	</OUTLink>

	<Attribute name="MaxTimeToBeOpen"
		description="Время, на которое открывается дверь (в миллисекундах)"
		defaultValue="5000"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="AlertRepeatTime"
		description="Время оповещения об открытии двери (в миллисекундах)"
		defaultValue="500"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PulseLength"
		description="Длина импульса для открытия замка (в миллисекундах)"
		defaultValue="500"
		type="java.lang.Integer" nullable="false">
	</Attribute>
		<Attribute name="AccessPointName"
		description="Наименование точки доступа"
		defaultValue="Дверь"
		type="java.lang.String" nullable="false">
	</Attribute>

</ClassComponent>